﻿/**
*/
module nemuxi.gui.window.dialog.settingdialog.settingif;

debug import std.stdio: wl = writefln, pl = printf;
debug(settingif) void main() {}

public import etc.kareki.kareki;

public import nemuxi.file.items.item;
public import nemuxi.system.text;
public import nemuxi.system.nemuxierrors;


interface ISettingInFrame {
	void setItemList(Item[]);
	Item[] getItemList();

	void show();
	void hide();
	void toChild();
	void reSize(int x, int y, int widh, int height);

	AkiDocument akiDocument();
}

template MixInSettingInFrame() {
	override {
		void show() {
			setShow(SHOW.SHOWNORMAL);
		}
		void hide() {
			setShow(SHOW.HIDE);
		}
		void toChild() {
			super.toChild();
		}
		void reSize(int x, int y, int width, int height) {
			move(x, y, width, height);
		}
		/**
		History:
			1.00β12:
				新規追加。
		*/
		protected void OnEnable(bool Enable) {
			parent.enable = Enable;
		}

	}
}

